## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://developers.dwolla.com/llms.txt)

Use this file to discover all available pages before exploring further.

---

### API Endpoint

GET

`https://api-sandbox.dwolla.com/accounts/{id}/funding-sources`

### cURL Example

```bash
GET https://api-sandbox.dwolla.com/accounts/CA366CA3-6D30-44D6-B0F3-8D86C64462A1/funding-sources
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY
```

### Node.js Example

```javascript
// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
dwolla
  .get("accounts/CA366CA3-6D30-44D6-B0F3-8D86C64462A1/funding-sources")
  .then((res) => res.body.total); // => 1
```

### Python Example

```python
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
funding_sources = app_token.get('accounts/CA366CA3-6D30-44D6-B0F3-8D86C64462A1/funding-sources')
funding_sources.body['total'] # => 1
```

### PHP Example

```php
<?php
// Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$fundingApi = new DwollaSwagger\FundingsourcesApi($apiClient);

$fundingSources = $fundingApi->getAccountFundingSources("CA366CA3-6D30-44D6-B0F3-8D86C64462A1");
$fundingSources->total; # => 1
?>
```

### Ruby Example

```ruby
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
funding_sources = app_token.get "accounts/CA366CA3-6D30-44D6-B0F3-8D86C64462A1/funding-sources"
funding_sources.total # => 1
```

---

### Responses

**200** - Successful operation

```json
{
  "_links": {},
  "_embedded": {
    "funding-sources": [
      {
        "_links": {},
        "id": "d3d6b41e-5567-4bc6-9c6e-0efd0a3e647e",
        "status": "unverified",
        "type": "bank",
        "bankAccountType": "checking",
        "name": "My bank",
        "created": "2022-07-23T00:18:21.419Z",
        "removed": true,
        "channels": ["ach"],
        "bankName": "SANDBOX TEST BANK",
        "fingerprint": "5012989b55af15400e8102f95d2ec5e7ce3aef45c01613280d80a236dd8d6c",
        "bankUsageType": "card-network",
        "cardDetails": {
          "brand": "Visa",
          "lastFour": "1234",
          "expirationMonth": 12,
          "expirationYear": 2026,
          "nameOnCard": "John Doe",
          "bin": "40247644",
          "billingAddress": {
            "address1": "552 test",
            "address2": "Apt 4B",
            "address3": "Unit 101",
            "city": "Des Moines",
            "stateProvinceRegion": "IA",
            "country": "US",
            "postalCode": "50310"
          }
        }
      }
    ]
  },
  "total": 3
}
```

**403** - Forbidden

```json
{
  "code": "forbidden",
  "message": "Not authorized to list funding sources."
}
```

**404** - Not Found

```json
{
  "code": "notFound",
  "message": "Account not found."
}
```

---

### Authorizations

**Authorization**  
- **Type**: string  
- **Location**: header  
- **Required**: Yes  
- **Description**: The access token received from the authorization server in the OAuth 2.0 flow.

### Headers

**Accept**  
- **Type**: enum<string>  
- **Default**: `application/vnd.dwolla.v1.hal+json`  
- **Required**: Yes  
- **Description**: The media type of the response.
